> ## Documentation Index
> Fetch the complete documentation index at: https://docs.energy.nayax.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a custom domain

> Create a custom domain



## OpenAPI

````yaml /api/specs/notification-api.json post /notification/email/v1/domains
openapi: 3.0.0
info:
  title: Lynkwell API
  version: 1.376.0
  description: API Documentation for notification service
servers:
  - url: https://api.lynkwell.com
security: []
tags: []
paths:
  /notification/email/v1/domains:
    post:
      tags:
        - Custom Domain
      summary: Create a custom domain
      description: Create a custom domain
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateCustomDomain'
      responses:
        '201':
          description: Custom domain created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateCustomDomainResponse'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - jwt: []
components:
  schemas:
    CreateCustomDomain:
      type: object
      additionalProperties: false
      properties:
        network:
          type: object
          properties:
            id:
              type: string
          required:
            - id
          additionalProperties: false
        domain:
          type: string
          minLength: 1
          maxLength: 255
        subdomain:
          type: string
          minLength: 1
          maxLength: 255
        customDkimSelector:
          type: string
          minLength: 2
          maxLength: 3
        defaultFrom:
          type: object
          properties:
            email:
              type: string
              format: email
            name:
              type: string
              minLength: 1
              maxLength: 255
          required:
            - email
            - name
          additionalProperties: false
        defaultReplyTo:
          type: object
          properties:
            email:
              type: string
              format: email
            name:
              type: string
              minLength: 1
              maxLength: 255
          required:
            - email
            - name
          additionalProperties: false
      required:
        - domain
        - defaultFrom
        - defaultReplyTo
    CreateCustomDomainResponse:
      type: object
      properties:
        id:
          type: string
        domain:
          type: string
          minLength: 1
          maxLength: 255
        subdomain:
          type: string
          minLength: 1
          maxLength: 255
        customDkimSelector:
          type: string
          minLength: 3
          maxLength: 3
        defaultFrom:
          type: object
          properties:
            email:
              type: string
              format: email
            name:
              type: string
              minLength: 1
              maxLength: 255
          required:
            - email
            - name
        defaultReplyTo:
          type: object
          properties:
            email:
              type: string
              format: email
            name:
              type: string
              minLength: 1
              maxLength: 255
          required:
            - email
            - name
        dnsRecords:
          type: array
          items:
            type: object
            properties:
              valid:
                type: boolean
              type:
                type: string
              host:
                type: string
              data:
                type: string
            required:
              - valid
              - type
              - host
              - data
        status:
          type: string
          enum:
            - Processing
            - Pending
            - Failed
            - Active
            - Validating
        createdAt:
          type: number
        updatedAt:
          type: number
      required:
        - id
        - domain
        - defaultFrom
        - defaultReplyTo
        - dnsRecords
        - status
        - createdAt
        - updatedAt
    ErrorResponse:
      type: object
      properties:
        name:
          type: string
        message:
          type: string
      required:
        - name
        - message
  securitySchemes:
    jwt:
      type: http
      scheme: bearer
      bearerFormat: JWT

````